#
# spec file for package postgres (Version 6.3.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf tcl tk gpp libgpp

%define       pgaccess pgaccess-0.88.tar.gz
%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         postgres
Release:      1
Copyright:    1994-1997 Regents of the University of California
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      6.3.2
Summary:      PostgreSQL - the Database
Source:       ftp://ftp.postgresql.org/pub/postgresql-6.3.2.tar.gz
# ftp://ftp.postgresql.org/pub/patches/linux_elf.patch-980421.gz
# ftp://ftp.postgresql.org/pub/patches/configure-980430.gz
Source1:      http://www.flex.ro/pgaccess/pgaccess-0.88.tar.gz
# mpsql-1.5.tgz
# Source2: appgen-0.2-alpha.tar.gz
# Source3: dbbrowser-0.9.src.tar.gz
Patch: postgres.dif
Patch1: postgresql-6.3.2.dif
# Patch2: v6.2.1_p2
# Patch3: v6.2.1_p3
### BuildRoot doesn't work for this packages, or...???
BuildRoot: /var/tmp/pgsql
# tcl_new tk_new
# mmcore mmbase mmslib xpm xforms
# java 
%description
DBMS (DataBase Management System) PostgreSQL is the successor
of the relational database system INGRES. It has been developed at
Berkeley, University of California.
The main advantages of the new system are:
- better support of complex objects.
- improved user-side adaption of data types, operators
and access methods.
- Integration of active databases (alerts and triggers),
conclusions including forward- and backward chaining.
- simplification of dbms code for restoration after a crash.
- Provision of a design which concatenates the advantages
of optical disks and workstations which consist of many
compound processors and customer-specific VLSI chips.
- Avoidance of too many changes according to relational
model. 
The query language for this system is SQL.
This system offers you a wide range of additional features such as
transparent history-system, embedding in your own C-routines, shell scripts
and more.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>

%package -n postgres
Version:      6.3.2
Summary:      PostgreSQL - the Database
Group:
%description -n postgres
DBMS (DataBase Management System) PostgreSQL is the successor
of the relational database system INGRES. It has been developed at
Berkeley, University of California.
The main advantages of the new system are:
- better support of complex objects.
- improved user-side adaption of data types, operators
and access methods.
- Integration of active databases (alerts and triggers),
conclusions including forward- and backward chaining.
- simplification of dbms code for restoration after a crash.
- Provision of a design which concatenates the advantages
of optical disks and workstations which consist of many
compound processors and customer-specific VLSI chips.
- Avoidance of too many changes according to relational
model. 
The query language for this system is SQL.
This system offers you a wide range of additional features such as
transparent history-system, embedding in your own C-routines, shell scripts
and more.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>

%package -n pg_ifa
Version:      6.3.2
Summary:      PostgreSQL Interfaces (base)
Group:
%description -n pg_ifa
Client package with major interfaces:
- command line insterface psql
- C and C++ library (shared)
- ecpg and libecpg (shared)
- Tcl/Tk (shared)
- PgAccess (a Tcl/Tk application)
- most of the man pages
A useful package if you want to setup a PostgreSQL client machine.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>

%prep
%setup -n postgresql-6.3.2
%{INSTALL_DIR} pgaccess
tar xvpfzC $RPM_SOURCE_DIR/%{pgaccess} pgaccess
#  -a 1 -a 2 
# mkdir dbbrowser-0.9
# tar xvpfzC $RPM_SOURCE_DIR/dbbrowser-0.9.src.tar.gz dbbrowser-0.9
%patch -p 0
%patch -P 1 -p 1
# %patch -P 1 -P 2 -P 3
# ( cd src && \
#   ./configure --prefix=/usr/lib/pgsql --enable-hba \
#               --disable-locale --disable-cassert --with-template=linux )
( cd src && \
  autoconf && \
  ./configure --prefix=/usr/lib/pgsql \
              --bindir=/usr/bin \
              --mandir=/usr/man \
              --enable-hba  --enable-locale \
              --disable-cassert \
              --with-includes=/usr/include/termcap \
              --with-libs=/usr/lib/termcap \
              --with-template=linux \
              --with-tcl --with-perl )
#        --with-includes=DIRS
#                           Include DIRS in list of directories searched
#                           for header files.  (Typical use will need
#                           --with-includes=/usr/local/include)
# 
#        --with-libs=DIRS
#        --with-libraries=DIRS
#                           Include DIRS in list of directories searched
#                           for archive libraries.  (Typical use will need
#                           --with-libraries=/usr/local/lib)
# rm -f src/man/monitor.1
%build
make all -C src >& make.log
(cd pgaccess \
   && cat pgaccess.tcl\
   | sed -e's/\-\*\-\*\ /\-iso8859\-1\ /g'\
   | sed -e's/\-\*\-\*\}/\-iso8859\-1}/g'\
   | sed -e's/\-\*\-\*\]/\-iso8859\-1]/g'\
   | sed -e's/\-\*\-\*$/\-iso8859\-1/g'\
   | sed -e's/\-Clean\-/\-Fixed\-/g'\
   | sed -e's/clean/fixed/g' >pgaccess.iso \
   && sed -e 's:/usr/bin/wish:/usr/X11R6/bin/wish:' < pgaccess.iso > pgaccess)
mkdir inst-doc
cp -a pgaccess inst-doc && rm -f inst-doc/pgaccess/pgaccess*
find doc -maxdepth 1 -type f -exec cp {} inst-doc \;
rm -f inst-doc/Makefile
(cd inst-doc \
    && mkdir html \
    && for i in *.tar.gz ; do \
         docu=`basename $i .tar.gz` ;\
         mkdir html/$docu ;\
         tar -C html/$docu -xzf $i ;\
         rm -f $i
       done)
# mv inst-doc/html html
cp index.html inst-doc/html/index.html
# cd AppGEN
# make -C src
# cd ../mpsql-1.5
# xmkmf -a
# test -x /usr/sbin/switch_motif_linking && \
#   /usr/sbin/switch_motif_linking dynamic
# make
# mv mpsql mpsql.SuSE-dynamic
# test -x /usr/sbin/switch_motif_linking && \
#   /usr/sbin/switch_motif_linking static
# make
# cd ../dbbrowser-0.9
# test -x /usr/sbin/switch_motif_linking && \
#   /usr/sbin/switch_motif_linking dynamic
# make
# mv dbbrowser dbbrowser.SuSE-dynamic
# test -x /usr/sbin/switch_motif_linking && \
#   /usr/sbin/switch_motif_linking static
# make 
%install
rm -rf $RPM_BUILD_ROOT/var/lib/pgsql/data
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/lib/pgsql $RPM_BUILD_ROOT/usr/bin \
    $RPM_BUILD_ROOT/usr/doc/packages/postgres $RPM_BUILD_ROOT/var/lib/pgsql \
    $RPM_BUILD_ROOT/usr/X11R6/bin
make install -C src POSTGRESDIR=$RPM_BUILD_ROOT/usr/lib/pgsql \
                    BINDIR=$RPM_BUILD_ROOT/usr/bin \
                    POSTMANDIR=$RPM_BUILD_ROOT/usr/man \
                    POSTDOCDIR=$RPM_BUILD_ROOT/usr/doc/packages/postgres
(cd $RPM_BUILD_ROOT/usr/man/manl \
    && for i in * ; do \
         newname=`basename $i .l`.3 ;\
         mv $i ../man3/$newname ;\
       done )
rm -fr $RPM_BUILD_ROOT/usr/man/manl
(cd $RPM_BUILD_ROOT/usr/man && gzip -f9 man?/*)
%{INSTALL_SCRIPT} pgaccess/pgaccess $RPM_BUILD_ROOT/usr/X11R6/bin/pgaccess
%{INSTALL_DATA} profile $RPM_BUILD_ROOT/var/lib/pgsql/.profile
mv $RPM_BUILD_ROOT/usr/lib/pgsql/lib/lib* $RPM_BUILD_ROOT/usr/lib
%{INSTALL_DIR} $RPM_BUILD_ROOT/sbin/init.d $RPM_BUILD_ROOT/usr/sbin/
%{INSTALL_SCRIPT} rc $RPM_BUILD_ROOT/sbin/init.d/postgres
(cd $RPM_BUILD_ROOT/usr/sbin \
    && ln -fs ../../sbin/init.d/postgres rcpostgres)
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/adm/fillup-templates
%{INSTALL_DATA} rc.config.postgres \
                $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.postgres
%{INSTALL_DIR} $RPM_BUILD_ROOT/sbin/init.d/rc2.d \
               $RPM_BUILD_ROOT/sbin/init.d/rc3.d
(cd $RPM_BUILD_ROOT/sbin/init.d/rc2.d && rm -f [KS]??postgres)
(cd $RPM_BUILD_ROOT/sbin/init.d/rc2.d \
    && ln -s ../postgres S25postgres \
    && ln -s ../postgres K15postgres)
(cd $RPM_BUILD_ROOT/sbin/init.d/rc3.d && rm -f [KS]??postgres)
(cd $RPM_BUILD_ROOT/sbin/init.d/rc3.d \
    && ln -s ../postgres S25postgres \
    && ln -s ../postgres K15postgres)
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/lib/pgsql/data
if [ "$UID" = "0" ] ; then
  chown postgres.daemon $RPM_BUILD_ROOT/var/lib/pgsql
  chown -R postgres.daemon $RPM_BUILD_ROOT/var/lib/pgsql
fi
### now, we'll either provide a separate package with an initial database,
### or do it via %post,
### or let the user herself do the `initdb'...
# if [ "$UID" = "0" ] ; then
#   (su -c "cd $RPM_BUILD_ROOT/var/lib/pgsql; \
#           PGLIB=$RPM_BUILD_ROOT/usr/lib/pgsql/lib && \
#           PGDATA=$RPM_BUILD_ROOT/var/lib/pgsql/data && \
#           export PGLIB PGDATA ; \
#           $RPM_BUILD_ROOT/usr/bin/initdb" postgres ; \
#    exit 0)
# fi
Check
%post -n postgres
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.postgres
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.postgres and"
  echo "update by hand."
fi
touch var/log/server.log
if [ "$UID" = "0" ] ; then
  chown postgres.daemon var/log/server.log
fi
%files -n postgres
%doc [CIH]* README register.txt
%doc inst-doc/* migration
/var/adm/fillup-templates/rc.config.postgres
/usr/sbin/rcpostgres
/sbin/init.d/rc2.d/S25postgres
/sbin/init.d/rc2.d/K15postgres
/sbin/init.d/rc3.d/S25postgres
/sbin/init.d/rc3.d/K15postgres
%config /sbin/init.d/postgres
%config /var/lib/pgsql/.profile
%dir /var/lib/pgsql/data
# /usr/X11R6/bin/mpsql
# /usr/X11R6/bin/mpsql.SuSE-static
# /usr/X11R6/bin/mpsql.SuSE-dynamic
# /usr/X11R6/bin/dbbrowser
# /usr/X11R6/bin/dbbrowser.SuSE-static
# /usr/X11R6/bin/dbbrowser.SuSE-dynamic
# %config /usr/X11R6/lib/X11/app-defaults/Mpsql
# /usr/X11R6/man/man1/dbbrowser.1x.gz
/usr/bin/postgres
/usr/bin/postmaster
/usr/bin/pg_id
/usr/bin/pg_version
/usr/bin/pg_passwd
/usr/bin/cleardbdir
/usr/bin/initdb
/usr/bin/initlocation
/usr/bin/ipcclean
/usr/lib/pgsql/include
/usr/lib/pgsql/lib/global1.bki.source
/usr/lib/pgsql/lib/global1.description
/usr/lib/pgsql/lib/local1_template1.bki.source
/usr/lib/pgsql/lib/local1_template1.description
/usr/lib/pgsql/lib/pg_hba.conf.sample
/usr/lib/pgsql/lib/pg_geqo.sample
/usr/lib/libecpg.a
/usr/lib/libpgtcl.a
/usr/lib/libpq++.a
/usr/lib/libpq.a
/usr/man/man3/libpq++.3.gz
/usr/man/man3/catalogs.3.gz
/usr/man/man3/libpq.3.gz
/usr/man/man1/cleardbdir.1.gz
/usr/man/man1/initdb.1.gz
/usr/man/man1/initlocation.1.gz
/usr/man/man1/ipcclean.1.gz
/usr/man/man1/pg_passwd.1.gz
/usr/man/man1/postgres.1.gz
/usr/man/man1/postmaster.1.gz
/usr/man/man5/bki.5.gz
/usr/man/man5/page.5.gz
/usr/man/man5/pg_hba.conf.5.gz
%files -n pg_ifa
/usr/bin/createdb
/usr/bin/createuser
/usr/bin/destroydb
/usr/bin/destroyuser
/usr/bin/pg_dump
/usr/bin/pg_dumpall
/usr/bin/psql
/usr/bin/ecpg
/usr/bin/pgtclsh
/usr/bin/pgtksh
/usr/X11R6/bin/pgaccess
/usr/lib/libecpg.so
/usr/lib/libecpg.so.1.1
/usr/lib/libpgtcl.so
/usr/lib/libpgtcl.so.1
/usr/lib/libpq++.so
/usr/lib/libpq++.so.1
/usr/lib/libpq.so
/usr/lib/libpq.so.1.1
/usr/man/man1/ecpg.1.gz
/usr/man/man1/psql.1.gz
/usr/man/man1/pg_dump.1.gz
/usr/man/man1/pg_dumpall.1.gz
/usr/man/man3/large_objects.3.gz
/usr/man/man3/oracle_compat.3.gz
/usr/man/man3/pgbuiltin.3.gz
# comes with lpdold, too.
# /usr/man/man3/abort.3.gz
/usr/man/man3/alter_table.3.gz
/usr/man/man3/alter_user.3.gz
/usr/man/man3/begin.3.gz
/usr/man/man3/close.3.gz
/usr/man/man3/cluster.3.gz
/usr/man/man3/commit.3.gz
/usr/man/man3/copy.3.gz
/usr/man/man3/create_aggregate.3.gz
/usr/man/man3/create_database.3.gz
/usr/man/man3/create_function.3.gz
/usr/man/man3/create_index.3.gz
/usr/man/man3/create_language.3.gz
/usr/man/man3/create_operator.3.gz
/usr/man/man3/create_rule.3.gz
/usr/man/man3/create_sequence.3.gz
/usr/man/man3/create_table.3.gz
/usr/man/man3/create_trigger.3.gz
/usr/man/man3/create_type.3.gz
/usr/man/man3/create_user.3.gz
/usr/man/man3/create_version.3.gz
/usr/man/man3/create_view.3.gz
/usr/man/man3/declare.3.gz
/usr/man/man3/delete.3.gz
/usr/man/man3/drop.3.gz
/usr/man/man3/drop_aggregate.3.gz
/usr/man/man3/drop_database.3.gz
/usr/man/man3/drop_function.3.gz
/usr/man/man3/drop_index.3.gz
/usr/man/man3/drop_language.3.gz
/usr/man/man3/drop_operator.3.gz
/usr/man/man3/drop_rule.3.gz
/usr/man/man3/drop_sequence.3.gz
/usr/man/man3/drop_table.3.gz
/usr/man/man3/drop_trigger.3.gz
/usr/man/man3/drop_type.3.gz
/usr/man/man3/drop_user.3.gz
/usr/man/man3/drop_view.3.gz
/usr/man/man3/end.3.gz
/usr/man/man3/fetch.3.gz
/usr/man/man3/explain.3.gz
/usr/man/man3/grant.3.gz
/usr/man/man3/insert.3.gz
/usr/man/man3/listen.3.gz
/usr/man/man3/load.3.gz
/usr/man/man3/lock.3.gz
/usr/man/man3/move.3.gz
/usr/man/man3/notify.3.gz
/usr/man/man3/reset.3.gz
/usr/man/man3/revoke.3.gz
/usr/man/man3/rollback.3.gz
/usr/man/man3/select.3.gz
/usr/man/man3/set.3.gz
/usr/man/man3/show.3.gz
/usr/man/man3/sql.3.gz
/usr/man/man3/update.3.gz
/usr/man/man3/vacuum.3.gz
/usr/man/man1/createdb.1.gz
/usr/man/man1/createuser.1.gz
/usr/man/man1/destroydb.1.gz
/usr/man/man1/destroyuser.1.gz
/usr/man/man1/pgintro.1.gz

